package fr.insa.clavardator.ui.dialogs;

import com.jfoenix.controls.JFXButton;
import com.jfoenix.controls.JFXDialog;
import com.jfoenix.controls.JFXTextField;
import com.jfoenix.validation.base.ValidatorBase;
import fr.insa.clavardator.ui.ButtonPressEvent;
import javafx.beans.property.ReadOnlyBooleanWrapper;
import javafx.beans.value.ObservableValue;
import javafx.fxml.FXML;
import javafx.fxml.Initializable;
import javafx.scene.control.Label;
import javafx.scene.layout.StackPane;

import java.net.URL;
import java.util.ResourceBundle;
import java.util.Timer;
import java.util.TimerTask;

public class AboutDialogController implements Initializable {

	@FXML
	private JFXDialog dialog;

	public void show(StackPane root) {
		dialog.show(root);
	}

	public void hide() {
		dialog.close();
	}

	public void onDismiss() {
		hide();
	}

	@Override
	public void initialize(URL location, ResourceBundle resources) {
	}
}
