package fr.insa.clavardator.users;

import java.io.Serializable;

public class UserInformation implements Serializable {
	public final int id;
	private final String username;

	public UserInformation(int id, String username) {
		this.id = id;
		this.username = username;
	}
	public UserInformation(User user) {
		this.id = user.getId();
		this.username = user.getUsername();
	}

	public String getUsername() {
		return username;
	}
}
